=== debian/changelog ===
libopenobex (1.7.1-5) unstable; urgency=medium

  * Fix build with libc6 2.22. (Closes: #811892) 
  * Bump Standards-Version to 3.9.7.
  * Add field of Vcs-Git and Vcs-Browser.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Mar 2016 04:04:25 +0900

libopenobex (1.7.1-4) unstable; urgency=medium

  * Change Maintainer to myself. (Closes: #745791)
  * Change package name by soname update. (Closes: #810556)
    Change libopenobex1* to libopenobex2*.
  * Remove README.source. This file is unnecessary.
  * Switch to libusb 1.0. (Closes: #810441)
  * Enable CMAKE_VERBOSE_MAKEFILE on CMake.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 12 Jan 2016 13:14:47 +0900

libopenobex (1.7.1-3) unstable; urgency=high

  * QA upload.
  * Enable CXX to prevent FTBFS on ubuntu.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Jan 2016 09:57:54 +0000

libopenobex (1.7.1-2) unstable; urgency=high

  * QA upload.
  * Add missing libxml2-utils build dependency.

 -- Dimitri John Ledkov <xnox@debian.org>  Wed, 06 Jan 2016 16:57:17 +0000

libopenobex (1.7.1-1) unstable; urgency=medium

  * QA upload.
  * Update to 1.7.1 upstream release. Closes: #717459
  * Drop all patches
  * Drop quilty things, and switch to 3.0 (quilt).
  * Drop dh-autoreconf, only cmake is used now.
  * Update website to sourceforge.
  * Automatic dbgsyms package should be generated Closes: #717460

 -- Dimitri John Ledkov <xnox@debian.org>  Wed, 06 Jan 2016 15:28:22 +0000

libopenobex (1.5-3) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Use the "linux-any" dpkg architecture wildcard instead of a negated list
    of architectures in libbluetooth-dev dependency. (closes: #634793)
  * Add dependency on ${misc:Depends}.
  * Update config.{sub,guess} with dh-autoreconf.
  * Build with hardening flags.
  * Add debian/README.source.

 -- Emanuele Rocca <ema@debian.org>  Sun, 03 May 2015 22:13:09 +0200

libopenobex (1.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix segfault when transferring files, closes: #699740.
  * Update debian/watch, closes: #717458.

 -- Joe Nahmias <jello@debian.org>  Tue, 23 Jul 2013 15:15:37 -0400

libopenobex (1.5-2) unstable; urgency=low

  * Fix Docbook-XML build dependencies to build the application manual pages
  * Replace dh_clean -k with dh_prep call
  * Fix cmake version dependency (closes: #525493)
  * Bump standard revision to 3.8.2.0: no changes required.

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sun, 21 Jun 2009 17:29:41 +0200

libopenobex (1.5-1) unstable; urgency=low

  * New upstream release (closes: #514577)
  * Removed patch files define.patch, compat_defines.path, ircp.path:
      included upstream
  * Rewrote debian/rules to compile using CMake
  * Added CMake >= 2.6 to build-depends
  * Added parallel build option support in debian/rules
  * Bump standard revision to 3.8.0.0: Copied README.source from quilt package
  * Removed debian/manpages/*: included upstream as DocBook XML
  * Add patch: fix version information in toplevel CMakeLists.txt
  * Add patch: Add missing doc/openobex-apps.xml (from upstream git repository)
  * Add patch: fix bluetooth detection in CMakeModules/FindBluetooth.cmake
  * Add patch: fix undefined use of sprintf

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 14 Feb 2009 11:08:49 +0100

libopenobex (1.3+cvs20070425-2) unstable; urgency=low

  * patches/compat_defines.patch: reintroduce defines OBEX_CLIENT and
    OBEX_SERVER (closes: #470441, #470444)

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Fri, 14 Mar 2008 20:55:35 +0100

libopenobex (1.3+cvs20070425-1) unstable; urgency=low

  * Updated to current CVS (since CVS did not change in 9 months):
      - Adds new TcpOBEX (IPv6 support)
  * Remove patches:
      - docbuild2.patch: not needed anymore
      - pkgconfig.patch: not needed anymore
  * debian/control:
      - use libbluetooth-dev instead of libbluetooth2-dev
      - do not require libbluetooth-dev on kfreebsd-* (closes: #416259)
  * debian/rules: fix cross-build support (closes: #465262)
  * debian/copyright: add proper copyright information
  * debian/openobex-apps.copyright: removed

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Thu, 06 Mar 2008 00:28:42 +0100

libopenobex (1.3-3) unstable; urgency=low

  * do not install the libopenobex.la file, should resolve that sticking
    libusb dependency for packages that depend on libopenobex and use libtool
    (after being rebuilt)
  * use Requires.private instead of Libs.private in .pc file and adapt REQUIRES
    define to not include bluez
  * compile apps without libusb (not needed)
  * debian/control: build depend on automake-1.9, autoconf and libtool
  * debian/rules: run autoreconf where appropriate

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Fri, 29 Sep 2006 01:03:52 +0200

libopenobex (1.3-2) unstable; urgency=low

  * add pkgconfig.patch: fixes pkg-config output for dynamic linking

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Tue, 26 Sep 2006 23:22:52 +0200

libopenobex (1.3-1) unstable; urgency=low

  * New upstream version
  * Clean up debian/rules
  * Bump standards revision to 3.7.2.0: no changes required.
  * Update build dependencies:
    - update quilt version to 0.45
    - change from libbluetooth1-dev to libbluetooth2-dev, same for Depends field
      of binary package libopenobex1-dev (closes: #376900)
  * Fix quilt inclusion in debian/rules and roperly use quilt stamp file in the
    rules file
  * Remove patches that got applied upstream:
    - rodrigues_irobex_palm3.patch
    - docbuild.patch
    - obex_test.patch
  * Add new docbuild2.patch to fix building of documentation, again, because
    docbook2html fails with XML DOCTYPE declaration
  * Lower dependency from libopenobex1-dev on pkg-config from Depends to Suggests
    (it is a useful tool but the package can be used without it)


