=== debian/control ===
Source: libopenobex
Priority: optional
Section: comm
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 7.0.0), cmake (>= 2.6.3),
	libbluetooth-dev [linux-any], libusb-1.0-0-dev,
	pkg-config, doxygen, docbook-xml, docbook-xsl,
	xsltproc, libxml2-utils
Standards-Version: 3.9.7
Homepage: http://sourceforge.net/projects/openobex/
Vcs-Git: git://anonscm.debian.org/collab-maint/libopenobex.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libopenobex.git;a=summary

Package: libopenobex2-dev
Section: libdevel
Conflicts: libopenobex-dev
Provides: libopenobex-dev
Breaks: libopenobex1-dev (<< 1.7.1-4)
Architecture: any
Depends: ${misc:Depends}, libopenobex2 (= ${binary:Version}), libbluetooth-dev [linux-any], libusb-1.0-0-dev
Suggests: pkg-config
Description: OBEX protocol library - development files
 The Object Exchange protocol can best be described as binary HTTP.
 OBEX is optimised for ad-hoc wireless links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard).
 .
 OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile
 phones like the Ericsson R320, Siemens S25, Siemens S45, Siemens ME45,
 Nokia NM207 and Nokia 9110 Communicator.
 .
 This package contains the development files.

Package: libopenobex2
Section: libs
Breaks: libopenobex1 (<< 1.7.1-4)
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: OBEX protocol library
 The Object Exchange protocol can best be described as binary HTTP.
 OBEX is optimised for ad-hoc wireless links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard).
 .
 OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile
 phones like the Ericsson R320, Siemens S25, Siemens S45, Siemens ME45,
 Nokia NM207 and Nokia 9110 Communicator.

Package: openobex-apps
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: ircp
Replaces: ircp
Breaks: openobex-apps (<< 1.7.1-4)
Description: Applications for OpenOBEX
 The Object Exchange protocol can best be described as binary HTTP.
 OBEX is optimised for ad-hoc wireless links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard).
 .
 OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile
 phones like the Ericsson R320, Siemens S25, Siemens S45, Siemens ME45,
 Nokia NM207 and Nokia 9110 Communicator.
 .
 This package contains some small utilities to control such devices.
